Bug 208219 - Included map recursive key lookup leads to SEGV
Included map recursive key lookup leads to SEGV
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: autofs (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Ian Kent
Brock Organ
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-27 00:30 EDT by Ian Kent
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: autofs-5.0.1-0.rc2.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-05 23:40:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix included map recursive map key lookup. (3.75 KB, patch)
2006-09-27 00:30 EDT, Ian Kent
no flags Details | Diff

  None (edit)
Description Ian Kent 2006-09-27 00:30:52 EDT
Description of problem:
Recursive map key lookup causes SEGV.

Version-Release number of selected component (if applicable):
autofs-5.0.1-0.rc2.6

How reproducible:
Always.

Steps to Reproduce:
1. Create file map which "+" includes NIS map of same name.
2. Create the NIS map of that name.
3. Add entry for file map to master map and start autofs.
3. Ensure /etc/nsswitch.conf has "automount: files nis" as
   map sources.
4. Perform mount lookup (of key in NIS map but not present
   in local file map) by accessing automount directory.
  
Actual results:
Lookup loops recursively on file lookup until autofs SEGVs.

Expected results:
Recursion dectected on key lookup in file map so autofs
progresses to NIS source.

Additional info:
Comment 1 Ian Kent 2006-09-27 00:30:52 EDT
Created attachment 137199 [details]
fix included map recursive map key lookup.

Note You need to log in before you can comment on or make changes to this bug.